# vkQueueEndDebugUtilsLabelEXT(3) Manual Page

## Name

vkQueueEndDebugUtilsLabelEXT - Close a queue debug label region

Loading… please wait.

## C Specification

A queue debug label region is closed by calling:

    // Provided by VK_EXT_debug_utils
    void vkQueueEndDebugUtilsLabelEXT(
        VkQueue                                     queue);

## Parameters

- `queue` is the queue in which a debug label region should be closed.

## Description

The calls to vkQueueBeginDebugUtilsLabelEXT and vkQueueEndDebugUtilsLabelEXT must be matched and balanced.

Valid Usage

- VUID-vkQueueEndDebugUtilsLabelEXT-None-01911
  There must be an outstanding `vkQueueBeginDebugUtilsLabelEXT` command prior to the `vkQueueEndDebugUtilsLabelEXT` on the queue

Valid Usage (Implicit)

- VUID-vkQueueEndDebugUtilsLabelEXT-queue-parameter
  `queue` must be a valid VkQueue handle

Command Properties

Command Buffer Levels | Render Pass Scope | Video Coding Scope | Supported Queue Types | Command Type
--- | --- | --- | --- | ---
- | - | - | Any | -

## See Also

VK_EXT_debug_utils, VkQueue

## Document Notes

For more information, see the Vulkan Specification

This page is extracted from the Vulkan Specification. Fixes and changes should be made to the Specification, not directly.

## Copyright

Copyright 2014-2024 The Khronos Group Inc.

SPDX-License-Identifier: CC-BY-4.0